Package org.jbpm.casemgmt.api.model

## Enum CaseStatus

- java.lang.Object
- - java.lang.Enum<CaseStatus>
  - - org.jbpm.casemgmt.api.model.CaseStatus

- All Implemented Interfaces:
    `Serializable`, `Comparable<CaseStatus>`

      public enum CaseStatus
      extends Enum<CaseStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CANCELLED` |
    `CLOSED` |
    `OPEN` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CaseStatus` | `fromId​(int id)` |
    `static List<CaseStatus>` | `fromIdList​(List<Integer> idList)` |
    `static CaseStatus` | `fromName​(String name)` |
    `static List<CaseStatus>` | `fromNameList​(List<String> nameList)` |
    `int` | `getId()` |
    `String` | `getName()` |
    `static CaseStatus` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static CaseStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OPEN

          public static final CaseStatus OPEN

    - #### CLOSED

          public static final CaseStatus CLOSED

    - #### CANCELLED

          public static final CaseStatus CANCELLED

  - ### Method Detail

    - #### values

          public static CaseStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CaseStatus c : CaseStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CaseStatus valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getId

          public int getId()

    - #### getName

          public String getName()

    - #### fromId

          public static CaseStatus fromId​(int id)

    - #### fromName

          public static CaseStatus fromName​(String name)

    - #### fromIdList

          public static List<CaseStatus> fromIdList​(List<Integer> idList)

    - #### fromNameList

          public static List<CaseStatus> fromNameList​(List<String> nameList)